<?php
/**
 * The template part for header
 *
 * @package VW Transport Cargo 
 * @subpackage vw_transport_cargo
 * @since VW Transport Cargo 1.0
 */
?>

<div class="main-header">
  <div class="container">
    <div class="row m-0">
      <div class="col-lg-4 col-md-4 p-0">
        <?php dynamic_sidebar('social-widget'); ?>
      </div>
      <div class="col-lg-4 col-md-4">
        <div class="logo">
          <div class="logo-inner">
            <?php if( has_custom_logo() ){ vw_transport_cargo_the_custom_logo();
              }else{ ?>
                <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h1>
                <?php $description = get_bloginfo( 'description', 'display' );
                if ( $description || is_customize_preview() ) : ?>
                <p class="site-description"><?php echo esc_html($description); ?></p>            
            <?php endif; } ?>
          </div>
        </div>
      </div>
      <div class="col-lg-3 col-md-3">
        <div class="top-btn">
          <?php if( get_theme_mod( 'vw_transport_cargo_button_text') != '' || get_theme_mod( 'vw_transport_cargo_button_url' )!= '' ) { ?>
            <a href="<?php echo esc_url(get_theme_mod('vw_transport_cargo_button_url',''));?>"><?php echo esc_html(get_theme_mod('vw_transport_cargo_button_text',''));?><span class="screen-reader-text"><?php esc_html_e( 'REQUEST A QUOTE','vw-transport-cargo' );?></span></a>
          <?php }?>
        </div>
      </div>
      <?php if( get_theme_mod('vw_transport_cargo_search_hide_show',true) != ''){ ?>
        <div class="col-lg-1 col-md-1">
          <div class="search-box">
            <span><a href="#"><i class="fas fa-search"></i></a></span>
          </div>
        </div>
      <?php }?>
    </div>
    <div class="serach_outer">
      <div class="closepop"><a href="#"><i class="far fa-window-close"></i></a></div>
      <div class="serach_inner">
        <?php get_search_form(); ?>
      </div>
    </div>
    <div class="header-menu <?php if( get_theme_mod( 'vw_transport_cargo_sticky_header') != '') { ?> header-sticky"<?php } else { ?>close-sticky <?php } ?>">
      <?php get_template_part( 'template-parts/header/navigation' ); ?>
    </div>
  </div>
</div>